function init(hero) {
    hero.setName("SteveXor");
    hero.setTier(1);
    
    hero.setChestplate("Suit");
	
	hero.addPowers("shadows:stevexor_power")
	
	hero.addKeyBind("TRANSFORM", "Transform", 5)

    hero.setHasProperty(hasProperty);

    hero.setKeyBindEnabled(isKeyBindEnabled);

}


function hasProperty(entity, property) {
        return property == "MASK_TOGGLE" && entity.getData('fiskheroes:dyn/nanite_timer') == 1;
    
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "TRANSFORM":
        return !entity.getData("fiskheroes:mask_open");
    default:
        return true;
    }
}